summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2012-07-27 15:18:18 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-07-27 15:18:18 -0500
commit9f7a2ac0a6fe7b8720c4cff09432f944801c49f6 (patch)
treec6b86726f068bdd802f61c3c1b81cc8a59e0d7ed
parent7eae887a7bedbd351cd055669392e77763b09180 (diff)
downloadslackbuilds-9f7a2ac0a6fe7b8720c4cff09432f944801c49f6.tar.gz
slackbuilds-9f7a2ac0a6fe7b8720c4cff09432f944801c49f6.tar.xz
development/phantomjs: Added (Headless WebKit browser with JS API)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/phantomjs/README5
-rw-r--r--development/phantomjs/phantomjs.SlackBuild105
-rw-r--r--development/phantomjs/phantomjs.info10
-rw-r--r--development/phantomjs/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/development/phantomjs/README b/development/phantomjs/README
new file mode 100644
index 0000000000..d3c1a58fcf
--- /dev/null
+++ b/development/phantomjs/README
@@ -0,0 +1,5 @@
+PhantomJS is a headless WebKit with JavaScript API. It has fast and
+native support for various web standards: DOM handling, CSS selector,
+JSON, Canvas, and SVG.
+
+This requires chrpath at build time.
diff --git a/development/phantomjs/phantomjs.SlackBuild b/development/phantomjs/phantomjs.SlackBuild
new file mode 100644
index 0000000000..4c88a907e6
--- /dev/null
+++ b/development/phantomjs/phantomjs.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for phantomjs
+
+# Copyright 2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=phantomjs
+VERSION=1.5.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# strip MAKEFLAGS usage
+sed -i "s|-j\$COMPILE_JOBS||" src/qt/preconfig.sh
+sed -i "s|export MAKEFLAGS=||" src/qt/preconfig.sh
+
+cd src/qt
+ ./preconfig.sh
+
+ mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/phantomjs-qt
+
+ for i in Core Gui Network WebKit Xml; do
+ cp -d lib/libQt$i.* $PKG/usr/lib$LIBDIRSUFFIX/phantomjs-qt/
+ chmod 755 $PKG/usr/lib$LIBDIRSUFFIX/phantomjs-qt/libQt$i.*
+ chown root:root $PKG/usr/lib$LIBDIRSUFFIX/phantomjs-qt/libQt$i.*
+ done
+cd -
+
+src/qt/bin/qmake
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ PREFIX=/usr
+
+make
+
+mkdir -p $PKG/usr/bin
+
+install -m 755 bin/phantomjs $PKG/usr/bin/
+
+chrpath -r \$ORIGIN/../lib$LIBDIRSUFFIX/phantomjs-qt $PKG/usr/bin/phantomjs
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE.BSD README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/phantomjs/phantomjs.info b/development/phantomjs/phantomjs.info
new file mode 100644
index 0000000000..116dd39ca3
--- /dev/null
+++ b/development/phantomjs/phantomjs.info
@@ -0,0 +1,10 @@
+PRGNAM="phantomjs"
+VERSION="1.5.0"
+HOMEPAGE="http://phantomjs.org/"
+DOWNLOAD="http://phantomjs.googlecode.com/files/phantomjs-1.5.0-source.tar.gz"
+MD5SUM="e70857923c1992da662434e8c0f7215f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"
diff --git a/development/phantomjs/slack-desc b/development/phantomjs/slack-desc
new file mode 100644
index 0000000000..9f85a93bdc
--- /dev/null
+++ b/development/phantomjs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+phantomjs: phantomjs (Headless WebKit browser with JS API)
+phantomjs:
+phantomjs: PhantomJS is a headless WebKit with JavaScript API. It has fast and
+phantomjs: native support for various web standards: DOM handling, CSS selector,
+phantomjs: JSON, Canvas, and SVG.
+phantomjs:
+phantomjs: Homepage: http://phantomjs.org/
+phantomjs:
+phantomjs:
+phantomjs:
+phantomjs: